

Certainly! Here are the instructions for using the React multiple date selection component based on the code provided:

--
 ADD THIS (in app.js)  import './scss/styles.scss' - IF USI
IF IMPORTING bootrap with scss: like so in src/scss: @import "../node_modules/bootstrap/scss/bootstrap";

### Instructions for Using the Multiple Date Selection Component

1. **Set Up the Import Statements**
   - Import the necessary React hooks (`useState` and `useRef`) and styles to use the Datepicker component in your app. 
   - Your import statements should look like this:
     ```javascript
     import { useState, useRef } from 'react';
     import Datepicker from './datepicker/Datepicker.jsx';
     import './datepicker/Datepicker.css';
    
     ```

2. **Define State Variables**
   - Inside your main component (e.g., `App`), define the state variables for managing date selections.
   - Use `multiple` to determine if multiple dates are allowed.
   - Use `selecteddate` for single date selection and `selecteddatesMulti` for multiple date selections.

   Example:
   ```javascript
   const [multiple, setMultiple] = useState(''); // Empty for single date selection, 'yes' for multiple
   const [selecteddate, setSelecteddate] = useState('');
   const [selecteddatesMulti, setSelecteddatesMulti] = useState([]);
   ```

3. **Create a Callback Function for Date Changes**
   - Define the `handleDateChange` function to handle date changes. This function will receive `newdate` as an argument.
   - Check the type of `newdate`:
     - If it’s an object (array of dates for multiple selection), update `selecteddatesMulti`.
     - If it’s a single string, update `selecteddate`.

   Example:
   ```javascript
   const handleDateChange = (newdate) => {
       if (typeof newdate === 'object') {
           setSelecteddatesMulti(newdate); // Update multi-date state
       } else {
           setSelecteddate(newdate); // Update single date state
       }
   };
   ```

4. **Use the Datepicker Component**
   - Add the `Datepicker` component within the return statement of your `App` function.
   - Pass the following props:
     - `onDateChange`: Assign the `handleDateChange` function.
     - `dateprop`: Assign the correct date state based on the `multiple` selection state.
     - `multiple`: Pass `multiple` to indicate whether multiple selection is active.
     - `format`: Specify the date format, e.g., 
	YYYYMMDD
	DDMMYYYY
	MMDDYYYY
	
	     - `displaya`: Leave blank to use the default display mode (popup/modal).

   Example:
   ```javascript
   return (
       <Datepicker 
           onDateChange={handleDateChange}
           dateprop={multiple === 'yes' ? selecteddatesMulti : selecteddate}
           multiple={multiple}
           format="MMDDYYYY"
           displaya=""
       />
   );
   ```

5. **Run the App**
   - Start your development server to test the component.
   - Ensure that both single and multiple date selections function correctly according to the `multiple` state.

6. **Optional: Toggle between Single and Multiple Date Selection**
   - You can add a button or input element to toggle the `multiple` state between `''` (single) and `'yes'` (multiple) based on user preference.

---

This guide should give you a straightforward setup and usage for your multiple date selection component. Adjustments may be needed depending on specific requirements.


